Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 258808 - Starting Dev on JDK9 crashes with SecurityException:setContextClassLoader - InnocuousThread
Starting Dev on JDK9 crashes with SecurityException:setContextClassLoader - I...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
8.2
PC Linux
: P2 (vote)
: 8.2
Assigned To: Tomas Hurka
issues@platform
: JDK_9, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-13 12:33 UTC by Martin Balin
Modified: 2016-10-02 02:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Balin 2016-04-13 12:33:13 UTC
Attempt to launch Dev on JDK9 EA build 113 throws following exception:

java.lang.SecurityException: setContextClassLoader
	at jdk.internal.misc.InnocuousThread.setContextClassLoader(java.base@9-ea/InnocuousThread.java:104)
	at org.netbeans.ModuleManager.updateContextClassLoaders(ModuleManager.java:476)
	at org.netbeans.ModuleManager.<init>(ModuleManager.java:169)
	at org.netbeans.core.startup.ModuleSystem.<init>(ModuleSystem.java:109)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:169)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)
	at org.netbeans.core.startup.Main.start(Main.java:307)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(java.base@9-ea/Thread.java:804)

This should be fixed in Jigsaw/JDK9EA since b110 but it is not...
Comment 1 Tomas Hurka 2016-04-21 10:22:24 UTC
JDK bug workarounded by the following changeset:

changeset:   296166:60ccf11ee887
user:        Tomas Zezula <tzezula@netbeans.org>
date:        Thu Apr 14 15:48:23 2016 +0200
summary:     java.lang.SecurityException: setContextClassLoader
Comment 2 siva.kalagarla 2016-10-02 02:51:01 UTC
Hello,

I just downloaded 8.2RC and I see this exception happening in Mac.  May I know if there is a work around for this issue?

Regards,
Siva.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo